List Team Members (By ID)
Request
GET
https://api.sourcecraft.tech/teams/id:{team_id}/members
Path parameters
|
Name |
Description |
|
team_id |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
page_size |
Type: string<uint64> Example: `` |
|
page_token |
Type: string Example: `` |
|
team_slug |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"members": [
{
"subject": {
"type": "user",
"id": "example"
},
"user": {
"id": "example",
"slug": "example"
}
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
members |
Type: TeamMember[] Example
|
|
next_page_token |
Type: string Example: |
SubjectType
Type: string
Enum: user, invitee, team
Subject
|
Name |
Description |
|
id |
Type: string Example: |
|
type |
Type: SubjectType Enum: |
Example
{
"type": "user",
"id": "example"
}
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
TeamMember
TeamMember represents a team member. subject.type is user or invitee.
|
Name |
Description |
|
subject |
Type: Subject Example
|
|
user |
Type: UserEmbedded Example
|
Example
{
"subject": {
"type": "user",
"id": "example"
},
"user": {
"id": "example",
"slug": "example"
}
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": null
}
|
Name |
Description |
|
details |
Type: unknown Example: |
|
error_code |
Type: string Example: |
|
message |
Type: string Example: |
|
request_id |
Type: string Example: |